# Deine Rechte (your-rights-bern)

~~~
Auch Polizei, Staatsanwält_innen und private
Sicherheitsdienste dürfen nicht alles. Kennst Du
Deine Rechte, so kannst Du Dich besser wehren
und bist weniger leicht einzuschüchtern – bei-
spielsweise wenn Du beschuldigt wirst, eine Straftat
begangen zu haben, oder wenn Du weggewiesen
wirst, weil Du angeblich Leute beim Shoppen störst.
~~~

Simple Quasar app which ships the brochure "Deine Rechte" of Gassenarbeit Bern as android app.
It's available in the Google Play Store or in the release section of this repo.

# Development
The software architecture is very simple.
The folder `markdown` contains every chapter of the brochure as single Markdown file.
By prefixing the filename you can order them and the filename is used for routing.
Additionally the first line of every markdown file is used as sidebar entry.

## Install the dependencies
```bash
yarn
```

### Start the app in development mode (hot-code reloading, error reporting, etc.)
```bash
quasar dev
```

### Lint the files
```bash
yarn run lint
```

### Build the app for production
```bash
quasar build
```

### Apk Release Build
https://quasar.dev/quasar-cli/developing-cordova-apps/publishing-to-store


1) Update version number in package.json.
2) Run the build process: `quasar build -m android`
3) Get the release key named: `your-rights.keystore`
4) Sign the unsigned apk:
```bash
jarsigner -verbose -sigalg SHA1withRSA -digestalg SHA1 -keystore your-rights.keystore ./dist/cordova/android/apk/release/app-release-unsigned.apk your_rights
```
5) `zipalign -v 4 ./dist/cordova/android/apk/release/app-release-unsigned.apk your_rights.apk`
6) Upload it to Google Play Store and attach it to the tag in this repo.
### Customize the configuration
See [Configuring quasar.conf.js](https://quasar.dev/quasar-cli/quasar-conf-js).
